/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM.72-1
Display is Hardward SPI 4-Wire SPI Interface 
Tested and worked with:
Works with Arduino 2.3.4 IDE  
NOTE: test OK:ESP32-WROOM-32  
****************************************************/

/*  == Hardward SPI to ESP32  ==
    OLED   =>    ESP32
  *1. GND       ->    GND
  *2. VCC       ->    3.3 
  *3. SCK       ->    18  
  *4. SDI       ->    23  
  *5. RES       ->    16   
  *6. A0/DC     ->    17  
  *7. CS        ->    5 
*/


#include <SPI.h>
#include "er_oled.h"

//uint8_t oled_buf[OLED_Y_MAXPIXEL * OLED_X_MAXPIXEL/2];

void setup() {
  Serial.begin(9600);
  Serial.print("OLED Example\n");

  /* display an image of bitmap matrix */
  er_oled_begin();

  
}

void loop() {

  er_oled_clear(0x00);  
  
  er_oled_bitmap(PIC1);
  delay(3000);  
  OLED_ColorTurn(1);
  delay(3000);   
  OLED_ColorTurn(0); 

  er_oled_bitmap(PIC2);
  delay(3000);
  OLED_ColorTurn(1);
  delay(3000);   
  OLED_ColorTurn(0); 


  er_oled_bitmap(PIC3);
  delay(3000);
  OLED_ColorTurn(1);
  delay(3000);   
  OLED_ColorTurn(0); 

  er_oled_clear(0xff);
  delay(3000);
}

